aboutsummaryrefslogtreecommitdiff
path: root/git-clone.sh
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2007-12-17 20:49:42 -0800
committerJunio C Hamano <gitster@pobox.com>2007-12-17 20:49:42 -0800
commitbd8ff616c998da8b08bd59b47644408048b3016d (patch)
tree8eb558ca8a38099a96ed75ed922a4377010666da /git-clone.sh
parent34454e858d2a648b0a6ce56acd9def84bd2a8712 (diff)
parent4f3d37035a7c735a3b69f962656819f4ff7e4927 (diff)
downloadgit-bd8ff616c998da8b08bd59b47644408048b3016d.tar.gz
git-bd8ff616c998da8b08bd59b47644408048b3016d.tar.xz
Merge branch 'maint'
* maint: git-send-email: avoid duplicate message-ids clone: correctly report http_fetch errors
Diffstat (limited to 'git-clone.sh')
-rwxr-xr-xgit-clone.sh11
1 files changed, 6 insertions, 5 deletions
diff --git a/git-clone.sh b/git-clone.sh
index 68085a322..9a160eea5 100755
--- a/git-clone.sh
+++ b/git-clone.sh
@@ -56,11 +56,12 @@ fi
http_fetch () {
# $1 = Remote, $2 = Local
- curl -nsfL $curl_extra_args "$1" >"$2" ||
- case $? in
- 126|127) exit ;;
- *) return $? ;;
- esac
+ curl -nsfL $curl_extra_args "$1" >"$2"
+ curl_exit_status=$?
+ case $curl_exit_status in
+ 126|127) exit ;;
+ *) return $curl_exit_status ;;
+ esac
}
clone_dumb_http () {